#!/bin/bash

# GATK realignment and base quality recalibration: example
	# To be run from the directory where example.bam and example.bam.bai is located 

# Specify pathway to GATAK, ref.fasta and indels.vcf
path2GATK="/sw/apps/bioinfo"
refFasta="/proj/b2014296/DATA/FILES/Homo_sapiens_assembly19.fasta"
refKnown="/proj/b2014296/DATA/FILES/Mills_and_1000G_gold_standard.indels.b37.vcf"

# GATK (3.3.0) RealingerTargetCreator
java -Xmx2g -jar $path2GATK/GATK/3.3.0/GenomeAnalysisTK.jar -T RealignerTargetCreator -R $refFasta -I example.bam -o forIndelRealinger.interval -known $refKnown

# GATK (3.3.0) IndelRealinger
java -Xmx2g -jar $path2GATK/GATK/3.3.0/GenomeAnalysisTK.jar -T IndelRealigner -R $refFasta -I example.bam -targetIntervals forIndelRealigner.itervals -o realigned.bam

# GATK (3.3.0) Base Recalibrator
java -Xmx2g -jar $path2GATK/GATK/3.3.0/GenomeAnalysisTK.jar -T BaseRecalibrator -I realigned.bam -R -knownSites $refKnown -o recal.grp 

# GATK (3.3.0) PrintReads
java -Xmx2g -jar $path2GATK/GATK/3.3.0/GenomeAnalysisTK.jar -T PrintReads -BQSR recal.grp -o recalibrated.bam -I reca.grp 

 
